> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shiftkeeper.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List coverage requests for the authenticated user

> List all coverage requests for the authenticated user.



## OpenAPI

````yaml https://api.shiftkeeper.io/openapi.json get /user/coverage_requests/
openapi: 3.1.0
info:
  title: Shiftkeeper API
  description: API reference to interact with Shiftkeeper programatically
  version: 0.0.1
servers:
  - url: https://api.shiftkeeper.io
security:
  - apiKey: []
externalDocs:
  url: https://docs.shiftkeeper.io
  description: Learn more about Shiftkeeper
paths:
  /user/coverage_requests/:
    get:
      tags:
        - Coverage
      summary: List coverage requests for the authenticated user
      description: List all coverage requests for the authenticated user.
      parameters:
        - schema:
            type: number
            minimum: 1
            maximum: 100
            default: 20
          in: query
          name: per_page
          description: The number of items per page.
        - schema:
            type: number
            minimum: 1
            default: 1
          in: query
          name: page
          description: The page number of the results to return.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  coverage_requests:
                    type: array
                    items:
                      $ref: '#/components/schemas/CoverageRequest'
                  meta:
                    $ref: '#/components/schemas/PaginationMeta'
                required:
                  - coverage_requests
                  - meta
components:
  schemas:
    CoverageRequest:
      type: object
      properties:
        id:
          type: string
          description: The ID of the coverage request.
        reason:
          type: string
          description: The reason for the coverage request.
        user:
          $ref: '#/components/schemas/User'
        status:
          type: string
          enum:
            - pending
            - accepted
            - canceled
            - expired
        shifts:
          type: array
          items:
            $ref: '#/components/schemas/CoverageShift'
        accepted_by:
          $ref: '#/components/schemas/User'
        accepted_shifts:
          type: array
          items:
            $ref: '#/components/schemas/CoverageShift'
      required:
        - id
        - reason
        - user
        - status
        - shifts
      examples:
        - id: cov_RxQottluZ1oeM47nz4bVl
          user:
            id: usr_bq7CmsOKLmkMeZkUUu1hy
            name: Rick
            email: rick@example.org
            time_zone: Europe/Paris
            role: owner
            seat: member
            slack_id: U082KENSEQ3
          reason: >-
            I will be out of office during this week. Could someone jump in to
            cover these shifts?
          status: pending
          shifts:
            - start: '2024-12-02T09:00:00Z'
              end: '2024-12-02T17:00:00Z'
              schedule_reference:
                id: sch_KR5uoK0xD0rWQoKTDqwgu
                name: Portal support
            - start: '2024-12-03T09:00:00Z'
              end: '2024-12-03T17:00:00Z'
              schedule_reference:
                id: sch_KR5uoK0xD0rWQoKTDqwgu
                name: Portal support
            - start: '2024-12-04T09:00:00Z'
              end: '2024-12-04T17:00:00Z'
              schedule_reference:
                id: sch_KR5uoK0xD0rWQoKTDqwgu
                name: Portal support
            - start: '2024-12-05T09:00:00Z'
              end: '2024-12-05T17:00:00Z'
              schedule_reference:
                id: sch_KR5uoK0xD0rWQoKTDqwgu
                name: Portal support
            - start: '2024-12-06T09:00:00Z'
              end: '2024-12-06T17:00:00Z'
              schedule_reference:
                id: sch_KR5uoK0xD0rWQoKTDqwgu
                name: Portal support
            - start: '2024-12-01T00:00:00Z'
              end: '2024-12-08T00:00:00Z'
              schedule_reference:
                id: sch_ldYmnBVr5o2ikebwmRRZv
                name: Citadel
    PaginationMeta:
      type: object
      properties:
        total:
          type: number
          description: The total number of items in the collection.
        page:
          type: number
          description: The current page number.
        per_page:
          type: number
          description: The number of items per page.
      required:
        - total
        - page
        - per_page
      examples:
        - total: 100
          page: 1
          per_page: 20
    User:
      type: object
      properties:
        id:
          type: string
          description: The ID of the user.
        name:
          type: string
          description: The name of the user.
        email:
          type: string
          format: email
          description: The email of the user.
        time_zone:
          type: string
          description: >-
            The preferred time zone of the user. If not set, the organization's
            time zone will be used.
        role:
          type: string
          enum:
            - owner
            - standard
          description: >-
            The role of the user. Learn more about roles in [our
            docs](/shiftkeeper/workspace/users#roles).
        seat:
          type: string
          enum:
            - viewer
            - member
          description: >-
            The seat of the user. Learn more about seat in [our
            docs](/shiftkeeper/workspace/users#seats).
        slack_id:
          type: string
          description: The Slack ID of the user.
      required:
        - id
        - name
        - email
        - role
        - seat
      examples:
        - id: usr_bq7CmsOKLmkMeZkUUu1hy
          name: Rick
          email: rick@example.org
          time_zone: Europe/Paris
          role: owner
          seat: member
          slack_id: U082KENSEQ3
        - id: usr_C0GwCFdk0I4pBMRny4qYV
          name: Dena
          email: dena@example.org
          role: standard
          seat: member
          slack_id: U082GMAFR1T
        - id: usr_YlxrjoB1JqUsollScfFYT
          name: Lily
          email: lily@example.org
          time_zone: America/New_York
          role: standard
          seat: viewer
          slack_id: U0529FWNCG2
    CoverageShift:
      type: object
      properties:
        start:
          type: string
          format: date-time
        end:
          type: string
          format: date-time
        schedule_reference:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
          required:
            - id
            - name
      required:
        - start
        - end
        - schedule_reference
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: Enter your API key which starts with 'keeper_'

````